import { CategorySeriesDescription } from "./CategorySeriesDescription";
import { StackedFragmentSeriesDescription } from "./StackedFragmentSeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class StackedSeriesBaseDescription extends CategorySeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private cm;
    get autoGenerateSeries(): boolean;
    set autoGenerateSeries(a: boolean);
    private cn;
    get reverseLegendOrder(): boolean;
    set reverseLegendOrder(a: boolean);
    private cq;
    get seriesCreatedRef(): string;
    set seriesCreatedRef(a: string);
    private ck;
    get series(): StackedFragmentSeriesDescription[];
    set series(a: StackedFragmentSeriesDescription[]);
}
